#!/bin/sh
# http://sourceforge.net/projects/libcue/
#
# script by: til <rob D0T til D0T freedman AT googlemail D0T com>
#
REPO=http://zenwalk.pinguix.com/user-accounts/tilderb
set -u -e -x

#libcue
version=1.4.0
build=66.1
arch=i486
tune=i686

pkgname=libcue-$version
package=$pkgname-$arch-$build

PKG_DEP=''
PKG_SRC="$REPO/extra/l/libcue/build-libcue.sh
http://sourceforge.net/projects/libcue/files/libcue/$version/libcue-$version.tar.bz2/download"

CWD=`pwd`
TMP=${TMP:-$CWD/tmp}
PKG=$TMP/$package
SRC=$TMP/$pkgname

[ -d $SRC ] && rm -fr $SRC
[ -d $PKG ] && rm -fr $PKG

### every package should have it
mkdir -p $PKG/{install,usr/{src,doc}/$pkgname}
#
mkdir $SRC
tar xf $CWD/$pkgname.tar.bz2 --strip-components=1 -C $SRC
cd $SRC
./configure --help >$CWD/configure-help

CFLAGS="-O2 -march=$arch -mtune=$tune" \
CXXFLAGS="-O2 -march=$arch -mtune=$tune" \
./configure \
	--prefix=/usr 

make || exit 1
make install DESTDIR=$PKG

# helperline
(cd $PKG;find . -printf "%M %u:%g %p %l\n" >$CWD/make.installed)

cp -a AUTHORS COPYING ChangeLog NEWS $PKG/usr/doc/$pkgname
cd $PKG

# strip symbols
find . | xargs file | grep "executable\|shared object" | grep ELF |\
	cut -f 1 -d : | xargs -r strip --strip-unneeded
#
find . | xargs file | grep "current ar archive" |\
	cut -f 1 -d : | xargs -r strip -g

#     |-----handy-ruler------------------------------------------------------|
cat << EOF > install/slack-desc
libcue: libcue (parses cue sheets)
libcue: 
libcue: Libcue is intended to parse a so called cue sheet from a char string
libcue: or a file pointer. For handling of the parsed data a convenient API 
libcue: is available. 
libcue: 
libcue: This project is meant as a fork of cuetools by Svend Sorensen which
libcue: saw it's last release in 02/2006.
EOF

cp $CWD/build-libcue.sh usr/src/$pkgname
fakeroot /sbin/makepkg -l y -c n $CWD/$package.txz

cd $CWD
md5sum $package.txz >$package.md5
echo $PKG_DEP >$package.dep
echo "$PKG_SRC" >$package.src
